Change reference parameter for rrdtool's pipe_close to mitigate *some* zombies. #959

Merged
merged 1 commit into from May 11, 2015

Projects

None yet

2 participants

@f0o
Member
f0o commented May 11, 2015

Related #443
This is not a fix for the issue!

It does however minimize the risk of running into zombies for certain distribution's php5.x packages.
It's been said it works for:
Ubuntu 14.04.2 under Apache2's Mod-PHP using php5.5
OpenSuSE 13.2 under Apache2's Mod-PHP using php5.6
Debian 8 under Apache2's Mod-PHP and PHP-FPM using php5.6

@f0o f0o This is not a fix for the issue!
It does however minimize the risk of running into zombies for certain distribution's php5.x packages.
It's been said it works for:
	Ubuntu 14.04.2 under Apache2's Mod-PHP using php5.5
	OpenSuSE 13.2 under Apache2's Mod-PHP using php5.6
	Debian 8 under Apache2's Mod-PHP and PHP-FPM using php5.6
d16784c
@laf laf merged commit 828834b into librenms:master May 11, 2015

1 check passed

Scrutinizer No new issues
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment